Page MenuHomePhabricator

Global filter at metawiki still applying despite being disabled and de-globalled
Closed, ResolvedPublic

Description

Meta global filter

Special:AbuseFilter/89

was disabled and global tag removed by @Savh at metawiki with that being logged at 08:50, 9 August 2016 (1)

Yet over one day later the filter is still actively filtering, still global, and logging away (2)

09:19, 10 August 2016: User:xxxxx (he.wikipedia.org) triggered filter 89, performing the action "edit" on פורטל:כדורגל/ערכים מבוקשים. Actions taken: none;

This seems particularly odd, and contrary to expectations

Event Timeline

Restricted Application added subscribers: JEumerus, Aklapper. · View Herald TranscriptAug 10 2016, 11:42 AM
MarcoAurelio removed hoo as the assignee of this task.Aug 10 2016, 1:29 PM
MarcoAurelio added subscribers: hoo, MarcoAurelio.

Maybe server lag/caché issues?

MarcoAurelio triaged this task as Normal priority.Aug 10 2016, 1:29 PM

Global abuse filters are cached indefinitely and it is invalidated whenever a global abuse filter is modified. However, there is a bug in the logic which is checked for when to invalidate the cache; it is only invalidated if the filter does have "global" set. As a result, it's not reliable in cases such as these (https://meta.wikimedia.org/wiki/Special:AbuseFilter/history/89) so we should change it to be invalidated also if the "global" flag was set previously. In the meantime, a steward should probably check the global flag in the filter editor (and remove it again, if you want) to invalidate the cache.

Change 304040 had a related patch set uploaded (by Glaisher):
Invalidate global abuse filter rules from cache when a previously global filter is edited

https://gerrit.wikimedia.org/r/304040

Change 304040 merged by jenkins-bot:
Invalidate global abuse filter rules from cache when a previously global filter is edited

https://gerrit.wikimedia.org/r/304040

Glaisher closed this task as Resolved.Aug 11 2016, 4:27 AM
Glaisher claimed this task.